Change streams
Las rutas de «Change streams» de la API REST, con un ejemplo de cada una.
Operaciones
Abre un change stream sobre una colección, una base o todo el clúster y recibe los eventos como Server-Sent Events.
GET /v1/databases/{db}/collections/{coll}/changeStream
Equivale al comando aggregate de MongoDB.
| Parámetros de la ruta | dbcoll |
| Cuerpo | Ninguno |
| Respuestas | 200, default |
Shell
curl https://<node>:27080/v1/databases/{db}/collections/{coll}/changeStream \
-H "Authorization: Bearer $TESELADB_API_KEY"POST /v1/databases/{db}/collections/{coll}/changeStream
Equivale al comando aggregate de MongoDB.
| Parámetros de la ruta | dbcoll |
| Cuerpo | JSON, Extended JSON canónico o BSON |
| Respuestas | 200, default |
Shell
curl -X POST https://<node>:27080/v1/databases/{db}/collections/{coll}/changeStream \
-H "Authorization: Bearer $TESELADB_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'GET /v1/databases/{db}/changeStream
Equivale al comando aggregate de MongoDB.
| Parámetros de la ruta | db |
| Cuerpo | Ninguno |
| Respuestas | 200, default |
Shell
curl https://<node>:27080/v1/databases/{db}/changeStream \
-H "Authorization: Bearer $TESELADB_API_KEY"POST /v1/databases/{db}/changeStream
Equivale al comando aggregate de MongoDB.
| Parámetros de la ruta | db |
| Cuerpo | JSON, Extended JSON canónico o BSON |
| Respuestas | 200, default |
Shell
curl -X POST https://<node>:27080/v1/databases/{db}/changeStream \
-H "Authorization: Bearer $TESELADB_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'GET /v1/changeStream
Equivale al comando aggregate de MongoDB.
| Parámetros de la ruta | Ninguno |
| Cuerpo | Ninguno |
| Respuestas | 200, default |
Shell
curl https://<node>:27080/v1/changeStream \
-H "Authorization: Bearer $TESELADB_API_KEY"POST /v1/changeStream
Equivale al comando aggregate de MongoDB.
| Parámetros de la ruta | Ninguno |
| Cuerpo | JSON, Extended JSON canónico o BSON |
| Respuestas | 200, default |
Shell
curl -X POST https://<node>:27080/v1/changeStream \
-H "Authorization: Bearer $TESELADB_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'